org.apache.commons.imaging.common

## Class BasicCParser

- java.lang.Object
- - org.apache.commons.imaging.common.BasicCParser

-     public class BasicCParser
      extends Object

  A rudimentary preprocessor and parser for the C programming language. FIXME replace this by a parser generated via ANTLR (if we really need it?!)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicCParser(ByteArrayInputStream is)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `nextToken()`
    `static ByteArrayOutputStream` | `preprocess(InputStream is, StringBuilder firstComment, Map<String,String> defines)`
    `static String[]` | `tokenizeRow(String row)`
    `static void` | `unescapeString(StringBuilder stringBuilder, String string)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicCParser

          public BasicCParser(ByteArrayInputStream is)

  - ### Method Detail

    - #### nextToken

          public String nextToken()
                           throws IOException,
                                  ImageReadException

      Throws:
        `IOException`
        `ImageReadException`

    - #### preprocess

          public static ByteArrayOutputStream preprocess(InputStream is,
                                                         StringBuilder firstComment,
                                                         Map<String,String> defines)
                                                  throws IOException,
                                                         ImageReadException

      Throws:
        `IOException`
        `ImageReadException`

    - #### tokenizeRow

          public static String[] tokenizeRow(String row)

    - #### unescapeString

          public static void unescapeString(StringBuilder stringBuilder,
                                            String string)
                                     throws ImageReadException

      Throws:
        `ImageReadException`

Copyright © 2007–2020 The Apache Software Foundation. All rights reserved.